apiVersion: apps/v1
kind: Deployment
metadata:
  name: transmission
spec:
  template:
    spec:
      containers:
        - name: transmission-openvpn
          volumeMounts:
            - name: config
              mountPath: /config
            - name: data
              mountPath: /data
            - name: download
              mountPath: /data/download
            - name: movies
              mountPath: /data/movies
            - name: series
              mountPath: /data/series
      volumes:
        - name: config
          hostPath:
            path: /k8s/transmission/transmission/config
        - name: data
          hostPath:
            path: /k8s/transmission/transmission/data
        - name: download
          nfs:
            path: /download
            server: nas.davinkevin.lan
        - name: movies
          nfs:
            path: /movies
            server: nas.davinkevin.lan
        - name: series
          nfs:
            path: /series
            server: nas.davinkevin.lan
